From cd44ebb3c9c8a0cb3b3aacd7e154e9a9cc0f9892 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Toque?= <xilasz@gmail.com>
Date: Sat, 25 Aug 2012 11:27:21 +0200
Subject: [PATCH] contrib/ffmpeg: add --disable-fast-unaligned option

---
 contrib/src/ffmpeg/ffmpeg-fast-unaligned.patch |   18 ++++++++++++++++++
 contrib/src/ffmpeg/rules.mak                   |    4 +++-
 2 files changed, 21 insertions(+), 1 deletion(-)
 create mode 100644 contrib/src/ffmpeg/ffmpeg-fast-unaligned.patch

diff --git a/contrib/src/ffmpeg/ffmpeg-fast-unaligned.patch b/contrib/src/ffmpeg/ffmpeg-fast-unaligned.patch
new file mode 100644
index 0000000..7d4bbf4
--- /dev/null
+++ b/contrib/src/ffmpeg/ffmpeg-fast-unaligned.patch
@@ -0,0 +1,18 @@
+--- ffmpeg-git/configure	2012-08-09 13:27:49.000000000 +0200
++++ ffmpeg-git/configure.new	2012-08-12 09:24:19.603122931 +0200
+@@ -256,6 +256,7 @@
+   --disable-neon           disable NEON optimizations
+   --disable-vis            disable VIS optimizations
+   --disable-yasm           disable use of yasm assembler
++  --disable-fast-unaligned consider unaligned accesses slow
+ 
+ Developer options (useful when working on Libav itself):
+   --disable-debug          disable debugging symbols
+@@ -964,6 +965,7 @@
+     doc
+     dwt
+     dxva2
++    fast_unaligned
+     fft
+     frei0r
+     gnutls
diff --git a/contrib/src/ffmpeg/rules.mak b/contrib/src/ffmpeg/rules.mak
index 15aabaf..3ee05bd 100644
--- a/contrib/src/ffmpeg/rules.mak
+++ b/contrib/src/ffmpeg/rules.mak
@@ -14,7 +14,8 @@ FFMPEGCONF = \
 	--disable-avdevice \
 	--disable-devices \
 	--disable-avfilter \
-	--disable-filters
+	--disable-filters \
+	--disable-fast-unaligned
 
 # Those tools are named differently in FFmpeg and Libav
 #	--disable-ffserver \
@@ -149,6 +150,7 @@ ffmpeg: ffmpeg-$(FFMPEG_VERSION).tar.gz .sum-ffmpeg
 ifdef HAVE_WIN32
 	sed -i "s/std=c99/std=gnu99/" $@-$(FFMPEG_VERSION)/configure
 endif
+	$(APPLY) $(SRC)/ffmpeg/ffmpeg-fast-unaligned.patch
 	$(MOVE)
 
 .ffmpeg: ffmpeg
-- 
1.7.9.5
